Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.activity
Class ConcurrentScheduleCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.activity.ConcurrentScheduleCImpl

public class ConcurrentScheduleCImpl
extends PhaseCImpl
implements ConcurrentGroupC, ConcurrentGroupS, ScheduleC, ScheduleS, ConcurrentScheduleS, ConcurrentScheduleC

Time-based map usable for concurrent group.. Time-based map usable for concurrent group.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`ConcurrentScheduleCImpl()`
`ConcurrentScheduleCImpl(ConcurrentSchedule nextPhase)`

Methods implemented by this class for interface swarm.activity.ScheduleC
`create$setAutoDrop, create$setRepeatInterval, setKeepEmptyFlag`

Methods implemented by this class for interface swarm.activity.DefaultOrderS
`setDefaultOrder`

Methods implemented by this class for interface swarm.collections.CollectionC
`setIndexFromMemberLoc, setReplaceOnly`

Methods implemented by this class for interface swarm.activity.AutoDropC
`setAutoDrop`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.SetInitialValueC
`setInitialValue`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods implemented by this class for interface swarm.activity.RelativeTimeS
`setRelativeTime`

Methods implemented by this class for interface swarm.activity.RepeatIntervalS
`setRepeatInterval`

Methods implemented by this class for interface swarm.activity.ConcurrentGroupTypeS
`setConcurrentGroupType`

Methods implemented by this class for interface swarm.activity.SingletonGroupsS
`setSingletonGroups`

Methods implemented by this class for interface swarm.collections.CompareFunctionC
`setCompareCStrings, setCompareIDs, setCompareIntegers, setCompareUnsignedIntegers`

Methods implemented by this class for interface swarm.defobj.SerializationC
`hdf5InCreate, lispInCreate`

Methods implemented by this class for interface swarm.defobj.SerializationS
`hdf5In, lispIn`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentScheduleCImpl

    public ConcurrentScheduleCImpl(ConcurrentSchedule nextPhase)

### ConcurrentScheduleCImpl

    public ConcurrentScheduleCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD